Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype.typeimpl
Class AbstractDatatypeBuilder

    java.lang.Object
      org.apache.cocoon.forms.datatype.typeimpl.AbstractDatatypeBuilder

All Implemented Interfaces:
  DatatypeBuilder

Direct Known Subclasses:
  BeanTypeBuilder, BooleanTypeBuilder, CharTypeBuilder, DateTypeBuilder, DecimalTypeBuilder, DoubleTypeBuilder, EnumTypeBuilder, FloatTypeBuilder, IntegerTypeBuilder, LongTypeBuilder, StringTypeBuilder

public abstract class AbstractDatatypeBuilder
extends Object
implements DatatypeBuilder

Abstract base class for datatype builders, most concrete datatype builders will derive from this class.

Version:
  $Id: AbstractDatatypeBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Constructor Summary
`AbstractDatatypeBuilder()`

Method Summary
`Convertor` | `buildConvertor(Element convertorEl)`
`void` | `buildConvertor(Element datatypeEl, AbstractDatatype datatype)`
`protected void` | `buildValidationRules(Element datatypeElement, AbstractDatatype datatype, DatatypeManager datatypeManager)`
`Convertor` | `getPlainConvertor()`
`void` | `setConvertorBuilders(Map convertorBuilders)`
`void` | `setDefaultConvertorName(String defaultConvertorName)`
`void` | `setPlainConvertorName(String plainConvertorName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.datatype.DatatypeBuilder
`build`

Constructor Detail

### AbstractDatatypeBuilder

    public AbstractDatatypeBuilder()

Method Detail

### buildConvertor

    public void buildConvertor(Element datatypeEl,
                               AbstractDatatype datatype)
                        throws Exception

  Throws:
    `Exception`

### buildConvertor

    public Convertor buildConvertor(Element convertorEl)
                             throws Exception

  Specified by:
    `buildConvertor` in interface `DatatypeBuilder`
  Throws:
    `Exception`

### getPlainConvertor

    public Convertor getPlainConvertor()

  Specified by:
    `getPlainConvertor` in interface `DatatypeBuilder`

### buildValidationRules

    protected void buildValidationRules(Element datatypeElement,
                                        AbstractDatatype datatype,
                                        DatatypeManager datatypeManager)
                                 throws Exception

  Throws:
    `Exception`

### setConvertorBuilders

    public void setConvertorBuilders(Map convertorBuilders)

### setDefaultConvertorName

    public void setDefaultConvertorName(String defaultConvertorName)

### setPlainConvertorName

    public void setPlainConvertorName(String plainConvertorName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.